### Function

# AppStream utils_is_category_name

since: 0.9.7

#### Declaration [src]

    gboolean
    as_utils_is_category_name (
      const gchar* category_name
    )

#### Description [src]

Searches the known list of registered XDG category names. See https://specifications.freedesktop.org/menu-spec/menu-spec-1.0.html#category-registry for a reference.

Available since: 0.9.7

#### Parameters

`category_name`

  Type: `const gchar*`

  A XDG category name, e.g. “ProjectManagement”.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `gboolean`

`TRUE` if the category name is valid.